astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- Fermi Queries (`astroquery.fermi`) »
- GetFermilatDatafile

# GetFermilatDatafile

class astroquery.fermi.GetFermilatDatafile

  Bases: `object`

  TODO: document TODO: Fail with useful failure messages on genuine failures (this doesn’t need to be implemented as a class)

  Attributes Summary

  `TIMEOUT` |
  `check_frequency` |
  `fitsfile_re` |

  Methods Summary

  `__call__`(result_url, *[, check_frequency, ...]) | Call self as a function.

  Attributes Documentation

  TIMEOUT = 120
  check_frequency = 1
  fitsfile_re = re.compile('wget (https://fermi\\.gsfc\\.nasa\\.gov/FTP/fermi/data/lat/queries/[A-Za-z0-9_]*.fits)')

  Methods Documentation

  __call__(result_url, *, check_frequency=1, verbose=False)

    Call self as a function.